Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.symboltable
Class ClassNameDeclaration

    java.lang.Object
      net.sourceforge.pmd.symboltable.AbstractNameDeclaration
          net.sourceforge.pmd.symboltable.ClassNameDeclaration

All Implemented Interfaces:
  NameDeclaration

public class ClassNameDeclaration
extends AbstractNameDeclaration

Field Summary

Fields inherited from class net.sourceforge.pmd.symboltable.AbstractNameDeclaration
`node`

Constructor Summary
`ClassNameDeclaration(ASTClassOrInterfaceDeclaration node)`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class net.sourceforge.pmd.symboltable.AbstractNameDeclaration
`getImage, getNode, getScope`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassNameDeclaration

    public ClassNameDeclaration(ASTClassOrInterfaceDeclaration node)

Method Detail

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.